NXOpen .NET Reference Guide  1899
 All Classes Namespaces Functions Variables Enumerations Enumerator Properties
Public Types | Public Member Functions | Properties | List of all members
NXOpen.Features.PolylineBuilder Class Reference

Polyline builder class. More...

Inheritance diagram for NXOpen.Features.PolylineBuilder:
NXOpen.Features.FeatureBuilder NXOpen.Builder NXOpen.TaggedObject NXOpen.GeometricUtilities.IComponentBuilder NXOpen.Utilities.NXRemotableObject IMessageSink NXOpen.Features.Subdivision.CagePolylineBuilder

Public Types

enum  DrawingPlaneOptions {
  View, XY, YZ, XZ,
  General
}
 Drawing plane options More...
 
enum  MovementMethodType {
  WCS, View, Vector, Plane,
  Segment
}
 Points movement types More...
 
enum  WCSOptionType {
  X, Y, Z, YZ,
  XZ, XY
}
 WCS principal axis or plane types More...
 

Public Member Functions

unsafe void EditPolyline (NXOpen.NXObject polyline)
 Sets a non-parametric polyline for editing More...
 
unsafe void Evaluate ()
 Evaluates the polyline More...
 
unsafe void InsertPoint (int afterIndex)
 Inserts a point in the middle of a segment More...
 
unsafe void UpdateOnConstraintPlane ()
 Updates polyline based on constraint plane More...
 
- Public Member Functions inherited from NXOpen.Features.FeatureBuilder
unsafe NXOpen.Features.Feature CommitFeature ()
 Commits the feature parameters and creates the feature More...
 
unsafe NXOpen.Features.Feature GetFeature ()
 Returns the feature currently being edited by this builder. More...
 
unsafe void HideInternalParentFeatureAfterEdit (NXOpen.Features.Feature parentFeature)
 Re-suppress an internal parent feature (a slave feature) after it has been edited. More...
 
unsafe void SetParentFeatureInternal (NXOpen.Features.Feature parentFeature)
 Set the parent features which would be internal or slaves to the feature being created or commited More...
 
unsafe void ShowInternalParentFeatureForEdit (NXOpen.Features.Feature parentFeature)
 Unsuppress an internal parent feature (a slave feature) so it can be edited. More...
 
unsafe void UnsetParentFeatureInternal (NXOpen.Features.Feature parentFeature)
 Set the internal parent feature of the feature being edited to external More...
 
- Public Member Functions inherited from NXOpen.Builder
unsafe NXOpen.NXObject Commit ()
 Commits any edits that have been applied to the builder. More...
 
unsafe void Destroy ()
 Deletes the builder, and cleans up any objects created by the builder. More...
 
unsafe NXOpen.NXObject[] GetCommittedObjects ()
 For builders that create more than one object, this method returns the objects that are created by commit. More...
 
unsafe NXOpen.NXObject GetObject ()
 Returns the object currently being edited by this builder. More...
 
unsafe void ShowResults ()
 Updates the model to reflect the result of an edit to the model for all builders that support showing results. More...
 
unsafe bool Validate ()
 Validate whether the inputs to the component are sufficient for commit to be called. More...
 
- Public Member Functions inherited from NXOpen.TaggedObject
void PrintTestData (String variableName)
 <exclude> More...
 
void PrintTestData (String variableName, int lineNumber)
 <exclude> More...
 
override string ToString ()
 Returns a String that represents the current Object. More...
 
- Public Member Functions inherited from NXOpen.Utilities.NXRemotableObject
IMessageCtrl AsyncProcessMessage (IMessage msg, IMessageSink replySink)
 Asynchronously processes the given message. More...
 
IMessage SyncProcessMessage (IMessage msg)
 Synchronously processes the given message. More...
 

Properties

unsafe bool CanUseOrientationTool [get, set]
 Returns or sets the flag indicating if WCS like tool should be deployed when a point or pole handle is selected More...
 
unsafe
NXOpen.Features.GeometricConstraintDataManager 
ConstraintManager [get]
 Returns the constraint manager More...
 
unsafe NXOpen.CoordinateSystem ConstraintPlane [get, set]
 Returns or sets the coordinate system defining plane constraint More...
 
unsafe NXOpen.Polyline Curve [get]
 Returns the polyline curve More...
 
unsafe NXOpen.Plane DrawingPlane [get, set]
 Returns or sets the drawing plane More...
 
unsafe
NXOpen.Features.PolylineBuilder.DrawingPlaneOptions 
DrawingPlaneOption [get, set]
 Returns or sets a drawing plane option More...
 
unsafe bool HasPlaneConstraint [get, set]
 Returns or sets the flag indicating if polyline has plane constraint More...
 
unsafe bool IsPeriodic [get, set]
 Returns or sets the periodicity More...
 
unsafe
NXOpen.Features.PolylineBuilder.MovementMethodType 
MovementMethod [get, set]
 Returns or sets the movement method More...
 
unsafe NXOpen.Plane MovementPlane [get, set]
 Returns or sets the movement plane More...
 
unsafe NXOpen.Direction MovementVector [get, set]
 Returns or sets the movement vector More...
 
unsafe
NXOpen.GeometricUtilities.TransformerData 
Transformer [get]
 Returns the transformation tool. More...
 
unsafe
NXOpen.Features.PolylineBuilder.WCSOptionType 
WCSOption [get, set]
 Returns or sets the WCS option More...
 
- Properties inherited from NXOpen.Features.FeatureBuilder
unsafe bool ParentFeatureInternal [get, set]
 Returns or sets whether or not the latest timestamped parent feature of this feature should be made internal More...
 
- Properties inherited from NXOpen.Builder
unsafe NXOpen.PreviewBuilder PreviewBuilder [get]
 Returns the preview builder subobject. More...
 
- Properties inherited from NXOpen.TaggedObject
Tag Tag [get]
 Returns the tag of this object. More...
 
- Properties inherited from NXOpen.Utilities.NXRemotableObject
IMessageSink NextSink [get]
 Gets the next message sink in the sink chain. More...
 

Additional Inherited Members

- Protected Member Functions inherited from NXOpen.TaggedObject
new void initialize ()
 <exclude> More...
 

Detailed Description

Polyline builder class.

To create a new instance of this class, use NXOpen.Features.FreeformCurveCollection.CreatePolylineBuilder

Default values.

Property Value

DrawingPlaneOption

View

MovementMethod

View

WCSOption

X

Created in NX10.0.0

Member Enumeration Documentation

Drawing plane options

Enumerator
View 

View plane

XY 

XY plane

YZ 

YZ plane

XZ 

XZ plane

General 

General plane

Points movement types

Enumerator
WCS 

Movement along WCS principal axis or plane

View 

Movement in view plane

Vector 

Movement along arbitrary direction

Plane 

Movement in arbitrary plane

Segment 

Movement along a segment of the polyline

WCS principal axis or plane types

Enumerator
X 

Along X axis

Y 

Along Y axis

Z 

Along Z axis

YZ 

In YZ plane

XZ 

In XZ plane

XY 

In XY plane

Member Function Documentation

unsafe void NXOpen.Features.PolylineBuilder.EditPolyline ( NXOpen.NXObject  polyline)
inline

Sets a non-parametric polyline for editing

Created in NX10.0.0

License requirements: features_modeling ("FEATURES MODELING") OR nx_polygon_modeling (" NX Polygon Modeling")

Parameters
polyline
unsafe void NXOpen.Features.PolylineBuilder.Evaluate ( )
inline

Evaluates the polyline

Created in NX10.0.0

License requirements: features_modeling ("FEATURES MODELING") OR nx_polygon_modeling (" NX Polygon Modeling")

unsafe void NXOpen.Features.PolylineBuilder.InsertPoint ( int  afterIndex)
inline

Inserts a point in the middle of a segment

Created in NX10.0.0

License requirements: features_modeling ("FEATURES MODELING") OR nx_polygon_modeling (" NX Polygon Modeling")

Parameters
afterIndexIndex of a point after which to insert new point
unsafe void NXOpen.Features.PolylineBuilder.UpdateOnConstraintPlane ( )
inline

Updates polyline based on constraint plane

Created in NX10.0.0

License requirements: features_modeling ("FEATURES MODELING") OR nx_polygon_modeling (" NX Polygon Modeling")

Property Documentation

unsafe bool NXOpen.Features.PolylineBuilder.CanUseOrientationTool
getset

Returns or sets the flag indicating if WCS like tool should be deployed when a point or pole handle is selected

Created in NX10.0.0

License requirements to get this property: None.

License requirements to set this property: features_modeling ("FEATURES MODELING") OR nx_polygon_modeling (" NX Polygon Modeling")

unsafe NXOpen.Features.GeometricConstraintDataManager NXOpen.Features.PolylineBuilder.ConstraintManager
get

Returns the constraint manager

Created in NX10.0.0

License requirements: None.

unsafe NXOpen.CoordinateSystem NXOpen.Features.PolylineBuilder.ConstraintPlane
getset

Returns or sets the coordinate system defining plane constraint

Created in NX10.0.0

License requirements to get this property: None.

License requirements to set this property: features_modeling ("FEATURES MODELING") OR nx_polygon_modeling (" NX Polygon Modeling")

unsafe NXOpen.Polyline NXOpen.Features.PolylineBuilder.Curve
get

Returns the polyline curve

Created in NX1899.0.0

License requirements: features_modeling ("FEATURES MODELING") OR nx_polygon_modeling (" NX Polygon Modeling")

unsafe NXOpen.Plane NXOpen.Features.PolylineBuilder.DrawingPlane
getset

Returns or sets the drawing plane

Created in NX10.0.0

License requirements to get this property: None.

License requirements to set this property: features_modeling ("FEATURES MODELING") OR nx_polygon_modeling (" NX Polygon Modeling")

unsafe NXOpen.Features.PolylineBuilder.DrawingPlaneOptions NXOpen.Features.PolylineBuilder.DrawingPlaneOption
getset

Returns or sets a drawing plane option

Created in NX10.0.0

License requirements to get this property: None.

License requirements to set this property: features_modeling ("FEATURES MODELING") OR nx_polygon_modeling (" NX Polygon Modeling")

unsafe bool NXOpen.Features.PolylineBuilder.HasPlaneConstraint
getset

Returns or sets the flag indicating if polyline has plane constraint

Created in NX10.0.0

License requirements to get this property: None.

License requirements to set this property: features_modeling ("FEATURES MODELING") OR nx_polygon_modeling (" NX Polygon Modeling")

unsafe bool NXOpen.Features.PolylineBuilder.IsPeriodic
getset

Returns or sets the periodicity

Created in NX10.0.0

License requirements to get this property: None.

License requirements to set this property: features_modeling ("FEATURES MODELING") OR nx_polygon_modeling (" NX Polygon Modeling")

unsafe NXOpen.Features.PolylineBuilder.MovementMethodType NXOpen.Features.PolylineBuilder.MovementMethod
getset

Returns or sets the movement method

Created in NX10.0.0

License requirements to get this property: None.

License requirements to set this property: features_modeling ("FEATURES MODELING") OR nx_polygon_modeling (" NX Polygon Modeling")

unsafe NXOpen.Plane NXOpen.Features.PolylineBuilder.MovementPlane
getset

Returns or sets the movement plane

Created in NX10.0.0

License requirements to get this property: None.

License requirements to set this property: features_modeling ("FEATURES MODELING") OR nx_polygon_modeling (" NX Polygon Modeling")

unsafe NXOpen.Direction NXOpen.Features.PolylineBuilder.MovementVector
getset

Returns or sets the movement vector

Created in NX10.0.0

License requirements to get this property: None.

License requirements to set this property: features_modeling ("FEATURES MODELING") OR nx_polygon_modeling (" NX Polygon Modeling")

unsafe NXOpen.GeometricUtilities.TransformerData NXOpen.Features.PolylineBuilder.Transformer
get

Returns the transformation tool.

Created in NX10.0.0

License requirements: None.

unsafe NXOpen.Features.PolylineBuilder.WCSOptionType NXOpen.Features.PolylineBuilder.WCSOption
getset

Returns or sets the WCS option

Created in NX10.0.0

License requirements to get this property: None.

License requirements to set this property: features_modeling ("FEATURES MODELING") OR nx_polygon_modeling (" NX Polygon Modeling")


The documentation for this class was generated from the following file:
Copyright 2019 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.